Skip to content

List groups

Lists groups in a project for one hierarchy level. Without parentId, returns top-level groups. With parentId, returns direct children of that parent group.

GET /api/v1/projects/{id}/groups

AuthRequired
BodyNone
NameTypeDescription
idstringProject id
NameTypeDefaultDescription
limitinteger100Page size (1–100)
offsetinteger0Number of items to skip
parentIdstringParent group id; omit for root-level groups
Authorization: Bearer <your-api-key>
Terminal window
curl -sS "https://collingo.app/api/v1/projects/clproj0123456789abcdefgh/groups?limit=50" \
-H "Authorization: Bearer <your-api-key>"
{
"limit": 50,
"offset": 0,
"total": 1,
"result": [
{
"id": "clgroup0123456789abcdefg",
"projectId": "clproj0123456789abcdefgh",
"parentId": null,
"technicalName": "pages",
"displayName": "Pages",
"createdAt": "2026-07-01T12:05:00Z"
}
]
}
StatusWhen
400Invalid query
401Missing or invalid API key (ERR_UNAUTHORIZED)
403Insufficient role (ERR_FORBIDDEN)
404Project or parent not found
500Database or internal error